Subject: Re: problem extending perl-5.8.2-1 via CPAN: Storable.dll
From: "S. Alan Ezust" <[email-masked]>
To: Tino Lange <[email-masked]>, The Cygwin Mailing List <[email-masked]>
Date: Tue, 17 Feb 2004 21:26:42 -0500

I was having some strange problems with CPAN as well - has anyone ever tried 
running a perl script that uses HTML::Parser or HTML::Filter by installing 
through the CPAN that comes with cygwin? I have a script that runs fine under 
linux and activeperl for windows, but doesn't under cygwin/perl. 

On February 17, 2004 01:09 pm, Tino Lange wrote:
> Gerrit P. Haase wrote:
> > perl-5.8.2-1 release has been uploaded to sourceware
> >                    -- it should be on the mirrors soon.
>
> Hi Gerrit, hi List!
>
> I have a problem updating modules within the CPAN Shell. Perl itself
> crashes due to problems with Storable.dll?
>
> > cpan> install Mail::SpamAssassin
> > Running install for module Mail::SpamAssassin
> > Running make for F/FE/FELICITY/Mail-SpamAssassin-2.63.tar.gz
> > CPAN: Digest::MD5 loaded ok
> > CPAN: Compress::Zlib loaded ok
> > Checksum for
> > /home/Tino/.cpan/sources/authors/id/F/FE/FELICITY/Mail-SpamAssassin-2.63.
> >tar.gz ok Scanning cache /home/Tino/.cpan/build for sizes
> > C:\cygwin\bin\perl.exe (3080): *** unable to remap
> > C:\cygwin\lib\perl5\5.8.2\cygwin-thread-multi-64int\auto\Storable\Storabl
> >e.dll to same address as parent(0xCE0000) != 0x1200000 4 [main] perl 3168
> > sync_with_child: child 3080(0x6B0) died before initialization with status
> > code 0x1 6993 [main] perl 3168 sync_with_child: *** child state child
> > loading dlls
>
> Can you give me a hint?
> I have searched the mailing list and the web for appropiate keywords,
> but I couldn't find a solution there.
>
> Attaches is a cygcheck.out. Please let me know if you need more
> information.
>
> Please always CC to me, since I'm not on the list.
>
> Thanks for your help!
>
> Tino

- -- 
S. Alan Ezust
Ottawa, Ontario, Canada
http://cartan.cas.suffolk.edu/~sae

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/